<?
include '../config.php';
include '../func.php';
head();
aut();
ban();

/////////////////////////////
mysql_query("UPDATE `profile` SET `online` = 'photo' WHERE `id` = '".$id_session."'");


echo head . "<b>Фотоальбомы</b>" . div . katalog;

if (isset($_GET['yes'])) {
    echo 'Фото успешно загружено<br/ >';
    $photo_info = mysql_fetch_assoc(mysql_query("SELECT * FROM `photo_photos` WHERE `id` = '".num($_GET['photo'])."'"));
    echo '<img src="../resize.php?img=photo/files/'.$photo_info['file'].'&width='.num($_SESSION['y']).'&height='.num($_SESSION['x']).'" alt=""/><br/ >' . div;
    echo '<a href="photo.php?photo='.num($_GET['photo']).'">Перейти к фото</a><br/ >';
}

if ($_GET['no']) echo '<b>Ошибка при загрузке фото</b><br/ >';
if ($_GET['nophoto']) echo '<b>Не выбрано фото</b><br/ >';
if ($_GET['razr']) echo '<b>Не верное разрешение</b><br/ >';
if ($_GET['type']) echo '<b>Запрещается загружать файлы: PHP, .htaccess</b><br/ >';
if ($_GET['razmer']) echo '<b>Превышен размер фото</b><br/ >';
if ($_GET['cat']) echo '<b>Не выбран альбом</b><br/ >';

$all = mysql_result(mysql_query("SELECT count(*) FROM `photo_album` WHERE `user` = '".$id_session."'"), 0);
if($all==0){
    echo 'Для загрузки фотографий, сначало создайте альбом:)';
}else{
if(empty($_POST['info'])){
echo '<form action="add.php" method="POST" name="form" enctype="multipart/form-data">';
echo "<b>Альбом:</b><br />";
echo "<select name=\"cat\">";
$query = @mysql_query("SELECT * FROM `photo_album` WHERE `user`='".$id_session."' ORDER BY `id`;");
while($result = mysql_fetch_array($query))
{

echo "<option value=\"".$result['id']."\">".$result['name']."</option>";
}
echo "</select><br/>";
echo '<b>Фотография: [max 2500x2500]</b><br />
<input type="file" name="file"><br />';

echo '<b>Описание:</b> [Обязательно]<br/>
<textarea id="tarea" name="info" cols="30" rows="5" style="width: 99%;"></textarea><br/>';

echo '<input type="submit" name="doUpload" value="Загрузить"></form><br/ >';
}else{

       $pictures = array('.gif', '.jpg', '.jpeg', '.png');
       $ext = strtolower(strrchr($_FILES['file']['name'], '.'));
       $par = getimagesize($_FILES['file']['tmp_name']);
	   $fnames = $_FILES['file']['name'];
	   $alb = num($_POST['cat']);
	   $info = trim(mysql_real_escape_string(html($_POST['info'])));

	   if (empty($fnames)) {
	       header('Location: add.php?nophoto');
	   }
       elseif ($par[0] > 2500 || $par[1] > 2500) {
	       header('Location: add.php?razr');
	   }
	   elseif (preg_match('/.php/i', $fnames) || preg_match('/.pl/i', $fnames) || $fnames == '.htaccess' || !in_array($ext, $pictures)) 	   {
	       header('Location: add.php?type');
	   }
	   elseif ($_FILES['file']['size'] > 2024 * 2 * 2024) {
	       header('Location: add.php?razmer');
	   }
	   elseif (empty($alb)) {
	       header('Location: add.php?cat');
	   }
    
     else {
	      $imgc = @imagecreatefromstring(file_get_contents($_FILES['file']['tmp_name']));
		  $imgc = img_copyright($imgc); // наложение копирайта
	      $foto = 'img_' . time() . $ext;
		  imagejpeg($imgc, $foto, 90);
          chmod(basename($foto), 0777);
          
        if (!copy($foto, "files/".$foto)) header('Location: add.php?no');

$res = mysql_query("INSERT INTO `photo_photos` SET `info`='".$info."', `album` = '".$alb."', `file` = '".$foto."', `user` = '".$id_session."', `date` = '".time()."'");
$last = mysql_insert_id();
mysql_query("UPDATE `profile` SET `many` = '".($many_session+3)."' WHERE `id` = '".$id_session."'");
$msg1 = '<b>'.user($id_session).'</b> загрузил(а) <b>фотографию</b>';
mysql_query("INSERT INTO `jurnal` SET  `msg` = '".$msg1."', `user` = '".$id_session."', `date` = '".time()."'");
if ( $res != NULL ) header('Location: add.php?yes&photo='.$last); else header('Location: add.php?no');
}

}

}

pod_navig();
foot();
?>
